@import url('https://fonts.googleapis.com/css2?family=Kumbh+Sans:wght@100;200;300;400;500;700;800;900&display=swap');

@font-face {
    font-family: "Kristen";
    src: url("../fonts/kristen.ttf") format("truetype"), url("../fonts/kristen.woff") format("woff");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: "MadeTommy";
    src: url("../fonts/madetommy.otf") format("opentype"), url("../fonts/madetommy.woff2") format("woff2");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: "MadeTommy";
    src: url("../fonts/madetommy-bold.otf") format("opentype"), url("../fonts/madetommy-bold.woff2") format("woff2");
    font-weight: bold;
    font-style: normal;
}

body{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    font-family: 'MadeTommy', sans-serif;
    overflow: hidden;
}
*[onclick]{
    cursor: pointer;
    z-index: 10;
}
.container-backgrounds{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.container-backgrounds .fondo{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0;
}


body[data-page="1"] #FondoLaboratorio{ opacity: 1; }
body[data-page="2"] #FondoLaboratorio2{ opacity: 1; }
body[data-page="3"] #FondoCamara{ opacity: 1; }
body[data-page="5"] #FondoFin{ opacity: 1; }

.content-intro{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: none;
}

.content-intro.active{
    display: block;
}

.content-intro .btn-inicio,
.content-intro .btn-continuar-m,
.content-intro .btn-reiniciar-m {
    position: absolute;
    width: 15%;
    bottom: 15%;
    left: 0;
    right: 0;
    margin: 0 auto;
    cursor: pointer;
    transition: 0.6s all;
    display: none;
}

.btn-inicio{
    width: 30% !important;
}

.wrapper-logos{
    position: fixed;
    bottom: 0px;
    height: 12%;
    width: 100%;
    background-color: #eb6827;
    display: none;
    justify-content: space-between;
    padding: 1rem 4rem;
    box-sizing: border-box;
}

.wrapper-logos.active{
    display: flex;
}

.wrapper-logos img{ height: 100%; }



.content-intro .btn-continuar-m{
    bottom: 0;
    top: 0;
    left: 10%;
    right: initial;
    margin: auto;
}

.content-intro .btn-reiniciar-m{
    bottom: 0;
    top: 0;
    left: initial;
    right: 10%;
    margin: auto;
}

.btn-inicio.active,
.btn-continuar-m.active, 
.btn-reiniciar-m.active  { display: block; }

.content-intro .btn-inicio:hover,
.content-intro .btn-continuar-m:hover,
.content-intro .btn-reiniciar-m:hover {
    transform: scale(1.2);
}

.content-intro .intro{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: none;
}

.content-intro .intro.active{
    display: block;
}

.content-intro .intro .recuadro-texto{
    position: absolute;
    top: 5%;
    left: 20%;
    width: 62%;
    height: 80%;
    background-image: url('../img/recuadro-menu.png');
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    padding: 8vh 8vw;
    text-align: center;
    box-sizing: border-box;
    display: none;
    justify-content: center;
    align-items: center;
}

.content-intro .intro .recuadro-texto.active{ display: flex; } 

.content-intro .intro .recuadro-texto p{ 
    color: #fff;
    font-size: 1.9vw;
}

.content-intro .intro .btn-continuar{
    position: absolute;
    width: 15%;
    bottom: 18%;
    left: 0;
    right: 0;
    margin: auto;
    cursor: pointer;
    z-index: 1;
    transition: 0.6s all;
    display: none;
}

.content-intro .btn-continuar:hover {
    transform: scale(1.1);
}

.content-intro .intro .btn-continuar.active{ 
    display: block;
 }

.content-intro .intro .martin{
    position: absolute;
    height: 72%;
    left: 8%;
    bottom: -10%;
}

.content-intro .intro .martina{
    position: absolute;
    height: 80%;
    right: 7%;
    bottom: -10%;
}

.martin2{
    position: absolute;
    right: 16%;
    bottom: -7%;
    height: 72%;
}

.martina2{
    position: absolute;
    left: 14%;
    bottom: -3%;
    height: 80%;
}

.content-menu{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: none;
}

.content-menu.active{ display: block; }

.content-menu .marco-menu{
    position: absolute;
    top: 5%;
    left: 15%;
    width: 70%;
    height: 90%;
    background-image: url('../img/recuadro-menu.png');
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    padding: 8vh 5vw;
    text-align: center;
    box-sizing: border-box;
}


.item-menu{
    position: absolute;
    width: 25%;
    height: 27%;
    cursor: pointer;
    transition: 0.2s all;
    display: block;
}

.item-menu:hover{
    transform: scale(1.1);
}

#Im1{ top: 11%; left: 26%; }
#Im2{ top: 11%; left: 50%; }
#Im3{ top: 40%; left: 12%; }
#Im4{ top: 59%; left: 39%; }
#Im5{ top: 40%; left: 67%; }

.item-menu img{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.item-menu img:first-of-type{ display: block; }
.item-menu img:last-of-type{ display: none; }

.item-menu.active img:first-of-type{ display: none; }
.item-menu.active img:last-of-type{ display: block; }

.intruction-menu{
    color: #fff;
    font-size: 2vw;
    width: 20%;
    top: 38%;
    position: absolute;
    left: 41%;
}

.content-fin{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: none;
}

.content-fin.active{ display: block; }

.content-visualizador {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #000;
    overflow: hidden;
    transition: 0.6s all;
    z-index: 10;
}

.content-visualizador.active {
    top: 0%;
}

.content-visualizador > object {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
 }

.btn-home{
    position: fixed;
    top: 1%;
    left: 2%;
    width: 60px;
    height: 60px;
    border-radius:100%;
    transition: 0.6s all;
    display: none;
    z-index: 11;
    cursor: pointer;
}



.btn-home.active{
    display: block;
}

.btn-home:hover{
    transform: scale(1.1);
}

.alert-landscape{
    position: fixed;
    z-index: 1000;
    width: 100%;
    height: 100%;
    background-color: #34265b;
    color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    visibility: hidden;
}

.alert-landscape img{
    width: 80%;
}

.dialog {
    position: absolute;
    text-align: center;
    display: none;
    z-index: 10;
}

.dialog p {
    font-size: 1.1vw;
    font-family: 'Kristen', sans-serif;
}

.dialog.active{ display: block; }

.dialog div.tag-left{
    position: absolute;
    width: 110%;
    height: 120%;
    top: -10%;
    left: -5%;
    background-color: #322749;
    transform: skewX(-16deg) rotateX(-48deg);
    opacity: 0.9;
    z-index: -1;
}

.dialog div.tag-left + p{ color: #fff }

.dialog div.tag-right{
    position: absolute;
    width: 110%;
    height: 120%;
    top: -10%;
    left: -5%;
    background-color: #aee0ea;
    transform: skewX(16deg) rotateX(-48deg);
    opacity: 0.9;
    z-index: -1;
}

.dialog div.tag-right + p{ color: #000 }

.btn-dialog {
    position: absolute;
    width: 60px;
    display: none;
}

.btn-dialog.active {
    display: block;
}

.modal {
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(0,0,0,0.5);
    width: 100%;
    backdrop-filter: blur(7px);
    height: 100%;
    z-index: 10;
    display: none;
}

.modal.active {
    display: block;
}

.modal .content-modal {
    position: absolute;
    width: 80%;
    height: 80%;
    top: 10%;
    left: 10%;
    background-image: url(../img/ventana1.png);
    background-size: cover;
    background-position: center;
}

.modal .close-modal{
    position: absolute;
    top: 5%;
    right: 7%;
    width: 8%;
    height: 13%;
    cursor: pointer;
    z-index: 1;
}

.modal .close-modal img{ width: 100%; height: 100%; object-fit: contain; object-position: center; }

iframe {
    width: 100%;
    height: 80%;
    top: 10%;
    position: absolute;
}

#MsFinal{
    width: 40%;
    top: 34%;
    position: absolute;
    left: 30%;
    opacity: 0;
}

#BtnFin{
    position: absolute;
    width: 15%;
    margin: 0 auto;
    bottom: 7%;
    left: 0;
    right: 0;
    display: none;
}



@media (orientation: portrait) {
    .alert-landscape{ visibility: visible; }
}

.jello-horizontal {
	-webkit-animation: jello-horizontal 1.9s infinite both;
	        animation: jello-horizontal 1.9s infinite both;
}

@-webkit-keyframes jello-horizontal {
    0% {
      -webkit-transform: scale3d(1, 1, 1);
              transform: scale3d(1, 1, 1);
    }
    30% {
      -webkit-transform: scale3d(1.25, 0.75, 1);
              transform: scale3d(1.25, 0.75, 1);
    }
    40% {
      -webkit-transform: scale3d(0.75, 1.25, 1);
              transform: scale3d(0.75, 1.25, 1);
    }
    50% {
      -webkit-transform: scale3d(1.15, 0.85, 1);
              transform: scale3d(1.15, 0.85, 1);
    }
    65% {
      -webkit-transform: scale3d(0.95, 1.05, 1);
              transform: scale3d(0.95, 1.05, 1);
    }
    75% {
      -webkit-transform: scale3d(1.05, 0.95, 1);
              transform: scale3d(1.05, 0.95, 1);
    }
    100% {
      -webkit-transform: scale3d(1, 1, 1);
              transform: scale3d(1, 1, 1);
    }
  }

@-webkit-keyframes jello-horizontal{
    0%{-webkit-transform:scaleX(1);transform:scaleX(1)}
    50%{-webkit-transform:scale3d(1.05,1.05,1.05);transform:scale3d(1.05,1.05,1.05)}
    to{-webkit-transform:scaleX(1);transform:scaleX(1)}
}
@keyframes jello-horizontal {
    0%{-webkit-transform:scaleX(1);transform:scaleX(1)}
    50%{-webkit-transform:scale3d(1.05,1.05,1.05);transform:scale3d(1.05,1.05,1.05)}
    to{-webkit-transform:scaleX(1);transform:scaleX(1)}
}